<!--Generic Website Header HTML-->
<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">

<div th:fragment="month-typeahead">

    <script th:src="@{/javascripts/typeahead.js}"></script>
    <script th:src="@{/javascripts/bloodhound.js}"></script>

    <script th:inline="javascript" type="text/javascript">

        $(document).ready(function(){

            /*[+

             var lang  = [[${#locale.language}]];

             +]*/

            var typeAheadListMonths = [];

            if (lang === 'cy') {
                typeAheadListMonths = [
                    'Ionawr',
                    'Chwefror',
                    'Mawrth',
                    'Ebrill',
                    'Mai',
                    'Mehefin',
                    'Gorffennaf',
                    'Awst',
                    'Medi',
                    'Hydref',
                    'Tachwedd',
                    'Rhagfyr'];

            } else {
                typeAheadListMonths = [
                    'January',
                    'February',
                    'March',
                    'April',
                    'May',
                    'June',
                    'July',
                    'August',
                    'September',
                    'October',
                    'November',
                    'December'];
            }


            var typeAheadListBloodHound = new Bloodhound({
                datumTokenizer: Bloodhound.tokenizers.whitespace,
                queryTokenizer: Bloodhound.tokenizers.whitespace,
                local: typeAheadListMonths
            });

            $('.typeahead').typeahead({
                    hint: true,
                    highlight: true,
                    minLength: 2,
                    limit: 10 },
                {
                    name: 'typeAheadList',
                    source: typeAheadListBloodHound
                });
        });
    </script>

</div>
</html>

